## tap-plugins 0.3.0

=== Makefile ===
#   Copyright (C) 2004 Tom Szilagyi
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#   $Id: Makefile,v 1.18 2004/02/04 14:42:04 tszilagyi Exp $


#####################################################################
# PLEASE CHANGE THIS to your preferred installation location!
#
# Change this if you want to install somewhere else. In particularly
# you may wish to remove the middle "local/" part of the path.

INSTALL_PLUGINS_DIR	=	/usr/local/lib/ladspa/
INSTALL_LRDF_DIR	=	/usr/local/share/ladspa/rdf/

# NO EDITING below this line is required
# if all you want to do is install and use the plugins.
#####################################################################



# GENERAL

CC		=	gcc

PLUGINS		=	tap_tremolo.so \
			tap_eq.so \
			tap_echo.so \
			tap_limiter.so \
			tap_reverb.so \
			tap_autopan.so \
			tap_deesser.so

all: $(PLUGINS)

# RULES TO BUILD PLUGINS FROM C CODE

tap_tremolo.so: tap_tremolo.c tap_utils.h ladspa.h
	$(CC) -I. -O3 -Wall -fomit-frame-pointer -fstrength-reduce -funroll-loops -ffast-math -c -fPIC -DPIC tap_tremolo.c -o tap_tremolo.o
	$(CC) -nostartfiles -shared -Wl,-Bsymbolic -lc -lm -lrt -o tap_tremolo.so tap_tremolo.o

tap_eq.so: tap_eq.c tap_utils.h ladspa.h
	$(CC) -I. -O3 -Wall -fomit-frame-pointer -fstrength-reduce -funroll-loops -ffast-math -c -fPIC -DPIC tap_eq.c -o tap_eq.o
	$(CC) -nostartfiles -shared -Wl,-Bsymbolic -lc -lm -lrt -o tap_eq.so tap_eq.o

tap_echo.so: tap_echo.c tap_utils.h ladspa.h
	$(CC) -I. -O3 -Wall -fomit-frame-pointer -fstrength-reduce -funroll-loops -ffast-math -c -fPIC -DPIC tap_echo.c -o tap_echo.o
	$(CC) -nostartfiles -shared -Wl,-Bsymbolic -lc -lm -lrt -o tap_echo.so tap_echo.o

tap_reverb.so: tap_reverb.c tap_reverb.h tap_reverb_presets.h tap_utils.h ladspa.h
	$(CC) -I. -O3 -Wall -fomit-frame-pointer -fstrength-reduce -funroll-loops -ffast-math -c -fPIC -DPIC tap_reverb.c -o tap_reverb.o
	$(CC) -nostartfiles -shared -Wl,-Bsymbolic -lc -lm -lrt -o tap_reverb.so tap_reverb.o

tap_limiter.so: tap_limiter.c tap_utils.h ladspa.h
	$(CC) -I. -O3 -Wall -fomit-frame-pointer -fstrength-reduce -funroll-loops -ffast-math -c -fPIC -DPIC tap_limiter.c -o tap_limiter.o
	$(CC) -nostartfiles -shared -Wl,-Bsymbolic -lc -lm -lrt -o tap_limiter.so tap_limiter.o

tap_autopan.so: tap_autopan.c tap_utils.h ladspa.h
	$(CC) -I. -O3 -Wall -fomit-frame-pointer -fstrength-reduce -funroll-loops -ffast-math -c -fPIC -DPIC tap_autopan.c -o tap_autopan.o
	$(CC) -nostartfiles -shared -Wl,-Bsymbolic -lc -lm -lrt -o tap_autopan.so tap_autopan.o

tap_deesser.so: tap_deesser.c tap_utils.h ladspa.h
	$(CC) -I. -O3 -Wall -fomit-frame-pointer -fstrength-reduce -funroll-loops -ffast-math -c -fPIC -DPIC tap_deesser.c -o tap_deesser.o
	$(CC) -nostartfiles -shared -Wl,-Bsymbolic -lc -lm -lrt -o tap_deesser.so tap_deesser.o


# OTHER TARGETS

install: targets
	mkdir -p	$(INSTALL_PLUGINS_DIR)
	cp *.so 	$(INSTALL_PLUGINS_DIR)
	mkdir -p	$(INSTALL_LRDF_DIR)
	cp tap-plugins.rdf $(INSTALL_LRDF_DIR)

targets:	$(PLUGINS)

always:	

clean:
	-rm -f `find . -name "*.so"`
	-rm -f `find . -name "*.o"`
	-rm -f `find .. -name "*~"`

## tap-plugins 0.6.0

=== Makefile ===
#   Copyright (C) 2004 Tom Szilagyi
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#   $Id: Makefile,v 1.14 2004/06/21 14:14:32 tszilagyi Exp $


#####################################################################
# PLEASE CHANGE THIS to your preferred installation location!
#
# Change this if you want to install somewhere else. In particular
# you may wish to remove the middle "local/" part of the path.

INSTALL_PLUGINS_DIR	=	/usr/local/lib/ladspa/
INSTALL_LRDF_DIR	=	/usr/local/share/ladspa/rdf/

# NO EDITING below this line is required
# if all you want to do is install and use the plugins.
#####################################################################



# GENERAL

CC		=	gcc
CFLAGS		=	-I. -O3 -Wall -fomit-frame-pointer -fstrength-reduce -funroll-loops -ffast-math -c -fPIC -DPIC
LDFLAGS		=	-nostartfiles -shared -Wl,-Bsymbolic -lc -lm -lrt

PLUGINS		=	tap_autopan.so \
			tap_deesser.so \
			tap_dynamics_m.so \
			tap_dynamics_st.so \
			tap_eq.so \
			tap_eqbw.so \
			tap_doubler.so \
			tap_pinknoise.so \
			tap_pitch.so \
			tap_reflector.so \
			tap_reverb.so \
			tap_rotspeak.so \
			tap_limiter.so \
			tap_echo.so \
			tap_tremolo.so \
			tap_vibrato.so


all: $(PLUGINS)

# RULES TO BUILD PLUGINS FROM C CODE

tap_tremolo.so: tap_tremolo.c tap_utils.h ladspa.h
	$(CC) $(CFLAGS) tap_tremolo.c -o tap_tremolo.o
	$(CC) $(LDFLAGS) -o tap_tremolo.so tap_tremolo.o

tap_eq.so: tap_eq.c tap_utils.h ladspa.h
	$(CC) $(CFLAGS) tap_eq.c -o tap_eq.o
	$(CC) $(LDFLAGS) -o tap_eq.so tap_eq.o

tap_eqbw.so: tap_eqbw.c tap_utils.h ladspa.h
	$(CC) $(CFLAGS) tap_eqbw.c -o tap_eqbw.o
	$(CC) $(LDFLAGS) -o tap_eqbw.so tap_eqbw.o

tap_echo.so: tap_echo.c tap_utils.h ladspa.h
	$(CC) $(CFLAGS) tap_echo.c -o tap_echo.o
	$(CC) $(LDFLAGS) -o tap_echo.so tap_echo.o

tap_reverb.so: tap_reverb.c tap_reverb.h tap_reverb_presets.h tap_utils.h ladspa.h
	$(CC) $(CFLAGS) tap_reverb.c -o tap_reverb.o
	$(CC) $(LDFLAGS) -o tap_reverb.so tap_reverb.o

tap_limiter.so: tap_limiter.c tap_utils.h ladspa.h
	$(CC) $(CFLAGS) tap_limiter.c -o tap_limiter.o
	$(CC) $(LDFLAGS) -o tap_limiter.so tap_limiter.o

tap_autopan.so: tap_autopan.c tap_utils.h ladspa.h
	$(CC) $(CFLAGS) tap_autopan.c -o tap_autopan.o
	$(CC) $(LDFLAGS) -o tap_autopan.so tap_autopan.o

tap_deesser.so: tap_deesser.c tap_utils.h ladspa.h
	$(CC) $(CFLAGS) tap_deesser.c -o tap_deesser.o
	$(CC) $(LDFLAGS) -o tap_deesser.so tap_deesser.o

tap_vibrato.so: tap_vibrato.c tap_utils.h ladspa.h
	$(CC) $(CFLAGS) tap_vibrato.c -o tap_vibrato.o
	$(CC) $(LDFLAGS) -o tap_vibrato.so tap_vibrato.o

tap_rotspeak.so: tap_rotspeak.c tap_utils.h ladspa.h
	$(CC) $(CFLAGS) tap_rotspeak.c -o tap_rotspeak.o
	$(CC) $(LDFLAGS) -o tap_rotspeak.so tap_rotspeak.o

tap_pitch.so: tap_pitch.c tap_utils.h ladspa.h
	$(CC) $(CFLAGS) tap_pitch.c -o tap_pitch.o
	$(CC) $(LDFLAGS) -o tap_pitch.so tap_pitch.o

tap_dynamics_m.so: tap_dynamics_m.c tap_dynamics_presets.h tap_utils.h ladspa.h
	$(CC) $(CFLAGS) tap_dynamics_m.c -o tap_dynamics_m.o
	$(CC) $(LDFLAGS) -o tap_dynamics_m.so tap_dynamics_m.o

tap_dynamics_st.so: tap_dynamics_st.c tap_dynamics_presets.h tap_utils.h ladspa.h
	$(CC) $(CFLAGS) tap_dynamics_st.c -o tap_dynamics_st.o
	$(CC) $(LDFLAGS) -o tap_dynamics_st.so tap_dynamics_st.o

tap_reflector.so: tap_reflector.c tap_utils.h ladspa.h
	$(CC) $(CFLAGS) tap_reflector.c -o tap_reflector.o
	$(CC) $(LDFLAGS) -o tap_reflector.so tap_reflector.o

tap_pinknoise.so: tap_pinknoise.c tap_utils.h ladspa.h
	$(CC) $(CFLAGS) tap_pinknoise.c -o tap_pinknoise.o
	$(CC) $(LDFLAGS) -o tap_pinknoise.so tap_pinknoise.o

tap_doubler.so: tap_doubler.c tap_utils.h ladspa.h
	$(CC) $(CFLAGS) tap_doubler.c -o tap_doubler.o
	$(CC) $(LDFLAGS) -o tap_doubler.so tap_doubler.o


# OTHER TARGETS

install: targets
	-mkdir -p		$(INSTALL_PLUGINS_DIR)
	cp *.so 		$(INSTALL_PLUGINS_DIR)
	-mkdir -p		$(INSTALL_LRDF_DIR)
	cp tap-plugins.rdf 	$(INSTALL_LRDF_DIR)
	cp tap_reverb.rdf 	$(INSTALL_LRDF_DIR)

targets:	$(PLUGINS)

always:	

clean:
	-rm -f `find . -name "*.so"`
	-rm -f `find . -name "*.o"`
	-rm -f `find .. -name "*~"`

## tap-plugins 0.7.0

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #   along with this program; if not, write to the Free Software
 #   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-#   $Id: Makefile,v 1.14 2004/06/21 14:14:32 tszilagyi Exp $
+#   $Id: Makefile,v 1.16 2004/08/13 18:34:31 tszilagyi Exp $
 
 
 #####################################################################
@@ -39,6 +39,7 @@
 LDFLAGS		=	-nostartfiles -shared -Wl,-Bsymbolic -lc -lm -lrt
 
 PLUGINS		=	tap_autopan.so \
+			tap_chorusflanger.so \
 			tap_deesser.so \
 			tap_dynamics_m.so \
 			tap_dynamics_st.so \
@@ -51,8 +52,10 @@
 			tap_reverb.so \
 			tap_rotspeak.so \
 			tap_limiter.so \
+			tap_sigmoid.so \
 			tap_echo.so \
 			tap_tremolo.so \
+			tap_tubewarmth.so \
 			tap_vibrato.so
 
 
@@ -124,6 +127,18 @@
 	$(CC) $(CFLAGS) tap_doubler.c -o tap_doubler.o
 	$(CC) $(LDFLAGS) -o tap_doubler.so tap_doubler.o
 
+tap_sigmoid.so: tap_sigmoid.c tap_utils.h ladspa.h
+	$(CC) $(CFLAGS) tap_sigmoid.c -o tap_sigmoid.o
+	$(CC) $(LDFLAGS) -o tap_sigmoid.so tap_sigmoid.o
+
+tap_tubewarmth.so: tap_tubewarmth.c tap_utils.h ladspa.h
+	$(CC) $(CFLAGS) tap_tubewarmth.c -o tap_tubewarmth.o
+	$(CC) $(LDFLAGS) -o tap_tubewarmth.so tap_tubewarmth.o
+
+tap_chorusflanger.so: tap_chorusflanger.c tap_utils.h ladspa.h
+	$(CC) $(CFLAGS) tap_chorusflanger.c -o tap_chorusflanger.o
+	$(CC) $(LDFLAGS) -o tap_chorusflanger.so tap_chorusflanger.o
+
 
 # OTHER TARGETS

## tap-plugins 0.7.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#   Copyright (C) 2004 Tom Szilagyi
+#   Copyright (C) 2004-2009 Tom Szilagyi
 #
 #   This program is free software; you can redistribute it and/or modify
 #   it under the terms of the GNU General Public License as published by
@@ -14,7 +14,7 @@
 #   along with this program; if not, write to the Free Software
 #   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-#   $Id: Makefile,v 1.16 2004/08/13 18:34:31 tszilagyi Exp $
+#   $Id: Makefile,v 1.17 2006/11/26 19:42:44 tszilagyi Exp $
 
 
 #####################################################################
@@ -156,5 +156,5 @@
 clean:
 	-rm -f `find . -name "*.so"`
 	-rm -f `find . -name "*.o"`
-	-rm -f `find .. -name "*~"`
+	-rm -f `find . -name "*~"`

=== debian/changelog ===
tap-plugins (0.7.1-2fakesync1) precise; urgency=low

  * Fake sync due to mismatching orig tarball.

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Mon, 09 Jan 2012 03:53:00 +0700

tap-plugins (0.7.1-2) unstable; urgency=low

  * Team upload.
  * Set pkg format to 3.0 (quilt).
  * Ease building with gbp.
  * Add gbp configuration file.
  * Update debian/copyright to comply with DEP-5 svn.174.
  * Remove myself from the Uploaders field.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 01 Jul 2011 12:19:07 +0200

tap-plugins (0.7.1-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release
  * Watch file added
  * Reworked copyright file
  * Removed - clean from rules file
  * Removed dh-clean-k from rules file
  * Removed Homepage from description
  * Added Homepage field
  * Added Vcs-Browser field
  * Added Vcs-Git field
  * Bump to standards version 3.8.3
  * Switched to debhelper 7
  * Added Uploaders
  * Changed maintainer
  * Compatibility changed to 7
  * Added DM-Upload-Allowed field
  * Documentation moved to separate package
    tap-plugins-doc 

  [ Alessio Treglia ]
  * Adopting this (Closes: #508845).
  * Bump Standards.
  * Switch to debhelper 7.
  * Set myself as first uploader.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 18 Apr 2010 10:17:26 +0200

tap-plugins (0.7.0-2) unstable; urgency=low

  * Include documentation (Closes: #303230)
  * Revert change to biquad_run function (Closes: #315575)

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 31 Oct 2005 18:45:50 +1100

tap-plugins (0.7.0-1) unstable; urgency=low

  * New upstream release (closes: #294086)

 -- Anand Kumria <wildfire@progsoc.org>  Thu, 24 Feb 2005 09:40:13 +1100

tap-plugins (0.6.0-1) unstable; urgency=low

  * Many new upstream releases
  * Documentation removed, it shall return.

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 19 Jul 2004 02:32:50 +1000
  

tap-plugins (0.3.0-2) unstable; urgency=low

  * Correct doc-base to point to right file (closes: #232686)
  * Provide virtual package 'ladspa-plugin' so we get recommended
    by more hosts

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 16 Feb 2004 01:38:56 +1100

tap-plugins (0.3.0-1) unstable; urgency=medium

  * New upstream release
  * Update web-site and email references. Improve description.

 -- Anand Kumria <wildfire@progsoc.org>  Sat,  7 Feb 2004 23:55:05 +1100

tap-plugins (0.2.0-1) unstable; urgency=low

  * New upstream release
  * Use 'mkdir -p' rather than mkdirhier

 -- Anand Kumria <wildfire@progsoc.org>  Wed,  4 Feb 2004 15:05:32 +1100

tap-plugins (0.1.1-1) unstable; urgency=low

  * Initial Release.

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 26 Jan 2004 16:51:30 +1100

=== debian/control ===
Source: tap-plugins
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 7.0.50~),
 sharutils
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/pkg-multimedia/tap-plugins.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/tap-plugins.git
Homepage: http://tap-plugins.sourceforge.net/

Package: tap-plugins
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Provides: ladspa-plugin
Description: Tom's Audio Processing LADSPA plugins
 Tom Szilagyi has written a number of plugins for LADSPA
 compatible hosts (e.g. Ardour, GNU Sound and GStreamer).
 .
 The plugins (Equalizer, Reverberator, Stereo Echo, Tremolo,
 Scaling Limiter, AutoPanner and DeEsser) have been written 
 primarily for Ardour but should work well with any LADSPA 
 host.

## tap-plugins 0.7.2

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #   along with this program; if not, write to the Free Software
 #   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-#   $Id: Makefile,v 1.17 2006/11/26 19:42:44 tszilagyi Exp $
+#   $Id: Makefile,v 1.18 2009/08/17 11:16:19 tszilagyi Exp $
 
 
 #####################################################################

=== debian/changelog ===
tap-plugins (0.7.2-1) unstable; urgency=low

  * Team upload.
  * New bugfix release:
    - Fix sharp peaks / level jumps in the output when using the Scaling
      Limiter plugin.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 18 Jul 2012 16:56:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: tap-plugins
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends: debhelper (>= 7.0.50~),
  sharutils
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/tap-plugins.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/tap-plugins.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	find . -name "*.png" -exec rm '{}' \;
	find . -name "*.gif" -exec rm '{}' \;

override_dh_auto_install:
	$(MAKE) install \
		INSTALL_PLUGINS_DIR=$(CURDIR)/debian/tap-plugins/usr/lib/ladspa \
		INSTALL_LRDF_DIR=$(CURDIR)/debian/tap-plugins/usr/share/ladspa/rdf

=== debian/watch ===
version=3

http://sf.net/tap-plugins/tap-plugins-([\d.]+)\.tar\.gz

## tap-plugins 0.7.3

=== debian/changelog ===
tap-plugins (0.7.3-2) unstable; urgency=medium

  * Set dh/compat 10.
  * Update copyright file.
  * Sign tags.
  * Bump Standards.
  * Fix VCS fields.
  * Tune .gitignore file.
  * Fix hardening.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Dec 2016 22:28:06 +0100

tap-plugins (0.7.3-1) unstable; urgency=low

  * Imported Upstream version 0.7.3
  * Patch updated.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 05 Jun 2014 23:26:30 +0200

tap-plugins (0.7.2-2) unstable; urgency=low

  [ Alessio Treglia ]
  * Remove DM-Upload-Allowed field, not needed anymore.

  [ Jaromír Mikeš ]
  * Set compat/dh 9.
  * Bump Standards.
  * Update VCS urls.
  * Added patch to pass flags correctly.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 26 Feb 2014 21:48:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 10),
  sharutils
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/tap-plugins.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/tap-plugins.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/tap-plugins.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/tap-plugins.git
 Homepage: http://tap-plugins.sourceforge.net/
 
 Package: tap-plugins

## tap-plugins 1.0.0

=== Makefile ===
#   Copyright (C) 2004-2009 Tom Szilagyi
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#   $Id: Makefile,v 1.19 2014/02/14 18:59:14 tszilagyi Exp $


#####################################################################
# PLEASE CHANGE THIS to your preferred installation location!
#
# Change this if you want to install somewhere else. In particular
# you may wish to remove the middle "local/" part of the path.

INSTALL_PLUGINS_DIR	=	/usr/local/lib/ladspa/
INSTALL_LRDF_DIR	=	/usr/local/share/ladspa/rdf/

# NO EDITING below this line is required
# if all you want to do is install and use the plugins.
#####################################################################



# GENERAL

CC	= gcc
CFLAGS	= -I. -O3 -Wall -fomit-frame-pointer -fstrength-reduce -funroll-loops -ffast-math -c -fPIC -DPIC
LDFLAGS	= -nostartfiles -shared -Wl,-Bsymbolic -lc -lm -lrt
MODULES = $(wildcard *.c)

all: $(MODULES:%.c=%.so)

# RULES TO BUILD PLUGINS FROM C CODE

tap_reverb.o: tap_reverb.h tap_reverb_presets.h
tap_dynamics_m.o: tap_dynamics_presets.h
tap_dynamics_st.o: tap_dynamics_presets.h

%.o: %.c tap_utils.h ladspa.h
	$(CC) $(CFLAGS) $< -o $@

%.so: %.o
	$(CC) -o $@ $< $(LDFLAGS)

# OTHER TARGETS

install: all
	-mkdir -p          $(INSTALL_PLUGINS_DIR)
	cp *.so            $(INSTALL_PLUGINS_DIR)
	-mkdir -p          $(INSTALL_LRDF_DIR)
	cp tap-plugins.rdf $(INSTALL_LRDF_DIR)
	cp tap_reverb.rdf  $(INSTALL_LRDF_DIR)

clean:
	-rm -f *.so *.o *~

.PHONY: all install clean

=== debian/changelog ===
tap-plugins (1.0.0-2build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 20:03:26 +0200

tap-plugins (1.0.0-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sam Q ]
  * d/watch: Change upstream to GitHub

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 13
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse
  * Avoid explicitly specifying -Wl,--as-needed linker flag
  * Set upstream metadata fields: Repository

 -- Bastian Germann <bage@debian.org>  Thu, 28 Sep 2023 22:04:31 +0200

tap-plugins (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * Bump Standards.
  * Vcs - use git instead og cgit.
  * Update Homepage to avoid redirecting.
  * Use secure uri in watch file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 25 Nov 2017 12:52:50 +0100

=== debian/control ===
Source: tap-plugins
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper-compat (= 13),
 sharutils
Standards-Version: 4.1.1
Vcs-Git: https://salsa.debian.org/multimedia-team/tap-plugins.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/tap-plugins
Homepage: https://tap-plugins.sourceforge.io/

Package: tap-plugins
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Provides: ladspa-plugin
Description: Tom's Audio Processing LADSPA plugins
 Tom Szilagyi has written a number of plugins for LADSPA
 compatible hosts (e.g. Ardour, GNU Sound and GStreamer).
 .
 The plugins (Equalizer, Reverberator, Stereo Echo, Tremolo,
 Scaling Limiter, AutoPanner and DeEsser) have been written
 primarily for Ardour but should work well with any LADSPA
 host.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/tap-plugins-$1\.tar\.gz/ \
  https://github.com/tomszilagyi/tap-plugins/tags .*/v?(\d\S+)\.tar\.gz
